<?php
require_once('config.php');
require_once('utilities.php');
require_once('facebook_app.php');
FacebookApp::instance()->ensureFacebookUserLoggedInToVB();
require_once('editor.php');

if(!(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strstr($_SERVER['HTTP_X_REQUESTED_WITH'], 'XMLHttpRequest'))) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}

if(empty($_POST['contenttype']) || empty($_POST['category']) || empty($_POST['id'])) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}
if(empty($_POST['message'])) {
    echo 'Please enter your message!';
    exit;
}

$contenttype = $_POST['contenttype'];
$category = $_POST['category'];
$id = $_POST['id'];
$message = $_POST['message'];
$title = '';
if(!empty($_POST['title'])) {
    $title = $_POST['title'];
}

$editor = Editor::factory($category, $id, $contenttype);

if($editor->titleEnabled() && empty($title)) {
    echo 'Please enter a thread title!';
    exit;
}
header('Content-Type: text\html, charset=utf-8');
$ret = $editor->send($title, $message);
echo $ret;
$jret = json_decode($ret, true);
if(!empty($jret['redirect'])) {
    if(isset($_POST['wall']) && $_POST['wall'] == 'true') {
        $editor->wall($title, $message);
    }
    Category::registry($category)->invalidate();
}
exit;
?>